{* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}

{* <!-- Keeps file coded in UTF-8 without BOM : é --> *}

{include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}

{* <!-- Whether plugin Additionnal Pages is active or not, and help banner management --> *}
<div style = "text-align:right; font-style:italic;">
  <span id = "ec_help_banner2">
    {'Help banner'|@translate}&nbsp;
    <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
      {'Show'|@translate}
    </label>
    &nbsp;
    <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
      {'Hide'|@translate}
    </label>
    &nbsp;&#151;&nbsp;
  </span>
  {if $ec_ap_ok}
    {'Additional Pages active'|@translate}
    <script type = "text/javascript">
      var ec_ap_ok = {if $ec_ap_ok2}true{else}false{/if};
    </script>
  {else}
    {'Additional Pages inactive'|@translate}
    <script type = "text/javascript">
      var ec_ap_ok = false;
    </script>
  {/if}
</div><span id = "ec_help_ban"></span>

{* <!-- Form to view codes --> *}
<form class = "filter" method = "post" name = "ec_view_codes" action = "">
  <input type = "hidden" id = "ec_act1_id" name = "ec_act1" />
  <input type = "radio" name = "ec_entry_sel" value = "-1" id = "selection--1" style = "display:none;"/>
  
  <div style = "text-align:center; font-weight:bold; font-size:120%;">
    <a href = "#ec_top" name = "ec_top" title = "{'Place title on top ttip'|@translate}">
      <!--[if !IE]> <--> <label> <!--> <![endif]-->
        {'Autolog entries'|@translate}
      <!--[if !IE]> <--> </label> <!--> <![endif]-->
      <!-- What we're able to do for our "prefered" browser |-( ...!  -->
    </a><br />
  </div><br />
  
  {* <!-- Table to show codes present in MySQL table --> *}
  <table class = "table2" width = "97%">
    <thead>
      <tr class = "throw">
        <td>{'Entry'|@translate}</td>
        <td>{'Code'|@translate}</td>
        <td>{'Username'|@translate}</td>
        <td>{'Identification'|@translate}</td>
        <td>{'Displayed page'|@translate}</td>
        <td>{'Tools'|@translate}</td>
      </tr>
    </thead>
    
    {foreach from=$code_list item=code_line name=code_loop}
      <tr class = "{if $smarty.foreach.code_loop.index is odd}row1{else}row2{/if}">
        <td>
          <input type = "radio" name = "ec_entry_sel" value = "{$code_line.id}" id = "selection-{$code_line.id}"
           onclick = "ec_mark_line({$code_line.id});"
          />
          <label for = "selection-{$code_line.id}">{$code_line.id}</label>
          <a id = "ec_url_id_{$code_line.id}" style = "display:none;" href = "{$code_line.code_URL}"></a>
        </td>
        <td>
          <label for = "selection-{$code_line.id}" id = "ec_table_code_{$code_line.id}"
             {if $comment_tooltip} title = "{$code_line.Comment}" {/if}
          >
            {$code_line.Code}
            {if !$comment_tooltip and $code_line.Comment != ''}<br />{$code_line.Comment}{/if}
          </label>
        </td>
        <td><label for = "selection-{$code_line.id}" id = "ec_table_usr_{$code_line.id}">{$code_line.Username}</label></td>
        <td><label for = "selection-{$code_line.id}">{$code_line.Action}</label></td>
        <td><label for = "selection-{$code_line.id}">{$code_line.Arg1}</label></td>
        <td>
          {if $code_line.log_OK}
            <a href = "javascript:void(0);" onclick = "ec_check_ds({$code_line.id});">
              <img src = "{$EVNTCATS_URLS.ROOT}icon/disable.png" class = "button"
               alt = "{'Outdate entry ttip'|@translate}" title = "{'Outdate entry ttip'|@translate}" />
            </a>
            {if $code_line.Forced == 'true'}
              <a href = "javascript:void(0);" title = "{'Unforce display ttip'|@translate}" onclick = "ec_toggle_forced({$code_line.id}, false);">
                <img class = "button" src = "{$EVNTCATS_URLS.ROOT}icon/forced.png"
                 alt = "{'Unforce display ttip'|@translate}" title = "{'Unforce display ttip'|@translate}"
                />
              </a>
            {else}
              <a href = "javascript:void(0);" title = "{'Force display ttip'|@translate}" onclick = "ec_toggle_forced({$code_line.id}, true);">
                <img class = "button" src = "{$EVNTCATS_URLS.ROOT}icon/nforced.png"
                 alt = "{'Force display ttip'|@translate}" title = "{'Force display ttip'|@translate}"/>
              </a>
              <a href = "javascript:void(0);" title = "{'Duplicate entry ttip'|@translate}" onclick = "ec_duplicate_entry({$code_line.id});">
                <img src = "{$EVNTCATS_URLS.ROOT}icon/duplicate.png" class = "button" style = "border:none"
                 alt = "{'Duplicate entry ttip'|@translate}" title = "{'Duplicate entry ttip'|@translate}" />
              </a>
            {/if}
          {/if}
        </td>
      </tr>
    {/foreach}
  </table>
  
  {* <!-- This is not really a table, looks like a unique cell at the end of previous table,
  to show URL for currently selected line in above table --> *}
  <table class = "table2" width = "97%">
    <tr class = "row2">
      <td style = "padding-top:5px; padding-bottom:5px; font-weight:bold;">
        {'Selected entry'|@translate}
      </td>
      <td style = "padding-top:5px; padding-bottom:5px;">
        <label title = "{'Copy URL ttip'|@translate}">
          {'URL'|@translate}
          <input type = "text" id = "ec_show_URL" size = "100%" title = "{'Copy URL ttip'|@translate}" readonly = "readonly" />
        </label><br />
        <br />
        <a
         href = "javascript:void(0);" title = "{'Test URL ttip'|@translate}" alt = "{'Test URL ttip'|@translate}"
         id = "ec_table_URL" onclick = "return ec_check_tst();" class = "ec_lower_tools"
        />
          <img src = "{$EVNTCATS_URLS.ROOT}icon/url2.png" class = "button"/>
          {'Test'|@translate}
        </a>
        &nbsp;&nbsp;
        <a href = "javascript:void(0);" onclick = "ec_check_dl();" id = "ec_del_link_id" class = "ec_lower_tools"
         alt = "{'Delete entry ttip'|@translate}" title = "{'Delete entry ttip'|@translate}"
        >
          <img src = "{$EVNTCATS_URLS.ROOT}icon/delete.png" class = "button"/>
          {'Delete'|@translate}
        </a>
        &nbsp;&nbsp;
        <a href = "javascript:void(0);" onclick = "ec_check_m();" id = "ec_mod_link_id" class = "ec_lower_tools"
         alt = "{'Modify entry ttip'|@translate}" title = "{'Modify entry ttip'|@translate}"
        >
          <img src = "{$EVNTCATS_URLS.ROOT}icon/modify.png" class = "button"/>
          {'Modify'|@translate}
        </a>
      </td>
    </tr>
  </table><br />
</form>

{* <!-- JavaScript functions --> *}
<script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/autolog_entries.js"></script>
<script type = "text/javascript">
  ec_JS_message['ec_confirm_delete']  = "{'ec_confirm_delete'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_disable'] = "{'ec_confirm_disable'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_test']    = "{'ec_confirm_test'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_force']   = "{'ec_confirm_force'|@translate|@escape:javascript}";
  ec_JS_message['ec_clk_entry_miss']  = "{'ec_clk_entry_miss'|@translate|@escape:javascript}";
  ec_init();
</script>

{include file='../../../plugins/event_cats/admin/template/footer.inc.tpl'}
